### Hierarchy

- Account

## Index

### Properties

- address
- enc-alg
- encryptedKey
- extra
- isDefault
- label
- lock
- publicKey
- salt

### Methods

- toJson
- toJsonObj
- create
- importAccount
- parseJson
- parseJsonObj

## Properties

### address

address: Address

- Defined in account.ts:127

### enc-alg

enc-alg: string = "aes-256-gcm"

- Defined in account.ts:134

### encryptedKey

encryptedKey: PrivateKey

- Defined in account.ts:130

### extra

extra: null

- Defined in account.ts:131

### isDefault

isDefault: boolean

- Defined in account.ts:138

### label

label: string

- Defined in account.ts:128

### lock

lock: boolean

- Defined in account.ts:129

### publicKey

publicKey: string

- Defined in account.ts:137

### salt

salt: string

- Defined in account.ts:135

## Methods

### toJson

- toJson(): string

- - Defined in account.ts:140

  #### Returns string

### toJsonObj

- toJsonObj(): any

- - Defined in account.ts:150

  Serializes to JSON object.

  Returned object will not be stringified.

  #### Returns any

### Static create

- create(privateKey: PrivateKey, password: string, label?: undefined | string, params?: ScryptParams): Account

- - Defined in account.ts:73

  Creates Account object encrypting specified private key.

  The account does not need to be registered on blockchain.

  #### Parameters

  - ##### privateKey: PrivateKey

    Private key associated with the account

  - ##### password: string

    Password use to encrypt the private key

  - ##### Optional label: undefined | string

    Custom label

  - ##### Optional params: ScryptParams

    Optional scrypt params

  #### Returns Account

### Static importAccount

- importAccount(label: string, encryptedPrivateKey: PrivateKey, password: string, address: Address, saltBase64: string, params?: ScryptParams): Account

- - Defined in account.ts:33

  Import account

  #### Parameters

  - ##### label: string

    Account's label

  - ##### encryptedPrivateKey: PrivateKey

    Encrypted private key

  - ##### password: string

    User's password to decrypt private key

  - ##### address: Address

    Account's address

  - ##### saltBase64: string

    Salt to decrypt

  - ##### Optional params: ScryptParams

    Params used to decrypt

  #### Returns Account

### Static parseJson

- parseJson(json: string): Account

- - Defined in account.ts:97

  #### Parameters

  - ##### json: string

  #### Returns Account

### Static parseJsonObj

- parseJsonObj(obj: any): Account

- - Defined in account.ts:108

  Deserializes JSON object.

  Object should be real object, not stringified.

  #### Parameters

  - ##### obj: any

    JSON object

  #### Returns Account

Generated using TypeDoc